Debian Bug report logs - #664883
libvncserver0: add multi-arch support

version graph

Package: libvncserver0; Maintainer for libvncserver0 is Luca Falavigna <dktrkranz@debian.org>; Source for libvncserver0 is src:libvncserver.

Reported by: Frédéric Brière <fbriere@fbriere.net>

Date: Wed, 21 Mar 2012 16:33:01 UTC

Severity: normal

Found in version libvncserver/0.9.8.2-2

Fixed in version libvncserver/0.9.9+dfsg-1

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Luca Falavigna <dktrkranz@debian.org>:
Bug#664883; Package libvncserver0. (Wed, 21 Mar 2012 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frédéric Brière <fbriere@fbriere.net>:
Extra info received and forwarded to list. Copy sent to Luca Falavigna <dktrkranz@debian.org>. (Wed, 21 Mar 2012 16:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frédéric Brière <fbriere@fbriere.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libvncserver0: add multi-arch support
Date: Wed, 21 Mar 2012 12:30:39 -0400
Package: libvncserver0
Version: 0.9.8.2-2
Severity: normal
User: multiarch-devel@lists.alioth.debian.org
Usertags: multiarch

Now that a multiarch-able dpkg has entered unstable (yippee!), here's my
request for a m-a:same version of libvncserver.

Thanks!


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/3 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libvncserver0 depends on:
ii  libc6        2.13-27
ii  libgcrypt11  1.5.0-3
ii  libgnutls26  2.12.18-1
ii  libjpeg8     8d-1
ii  zlib1g       1:1.2.6.dfsg-2

libvncserver0 recommends no packages.

Versions of packages libvncserver0 suggests:
pn  libvncserver0-dbg  <none>

-- no debconf information




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 06 May 2012 08:06:03 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Sun, 06 May 2012 12:57:36 GMT) Full text and rfc822 format available.

Notification sent to Frédéric Brière <fbriere@fbriere.net>:
Bug acknowledged by developer. (Sun, 06 May 2012 12:57:37 GMT) Full text and rfc822 format available.

Message #12 received at 664883-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 664883-close@bugs.debian.org
Subject: Bug#664883: fixed in libvncserver 0.9.9+dfsg-1
Date: Sun, 06 May 2012 12:50:53 +0000
Source: libvncserver
Source-Version: 0.9.9+dfsg-1

We believe that the bug you reported is fixed in the latest version of
libvncserver, which is due to be installed in the Debian FTP archive:

libvncserver-config_0.9.9+dfsg-1_amd64.deb
  to main/libv/libvncserver/libvncserver-config_0.9.9+dfsg-1_amd64.deb
libvncserver-dev_0.9.9+dfsg-1_amd64.deb
  to main/libv/libvncserver/libvncserver-dev_0.9.9+dfsg-1_amd64.deb
libvncserver0-dbg_0.9.9+dfsg-1_amd64.deb
  to main/libv/libvncserver/libvncserver0-dbg_0.9.9+dfsg-1_amd64.deb
libvncserver0_0.9.9+dfsg-1_amd64.deb
  to main/libv/libvncserver/libvncserver0_0.9.9+dfsg-1_amd64.deb
libvncserver_0.9.9+dfsg-1.debian.tar.gz
  to main/libv/libvncserver/libvncserver_0.9.9+dfsg-1.debian.tar.gz
libvncserver_0.9.9+dfsg-1.dsc
  to main/libv/libvncserver/libvncserver_0.9.9+dfsg-1.dsc
libvncserver_0.9.9+dfsg.orig.tar.gz
  to main/libv/libvncserver/libvncserver_0.9.9+dfsg.orig.tar.gz
linuxvnc_0.9.9+dfsg-1_amd64.deb
  to main/libv/libvncserver/linuxvnc_0.9.9+dfsg-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 664883@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@debian.org> (supplier of updated libvncserver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 05 May 2012 23:45:15 +0200
Source: libvncserver
Binary: libvncserver0 libvncserver-dev libvncserver-config libvncserver0-dbg linuxvnc
Architecture: source amd64
Version: 0.9.9+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
Description: 
 libvncserver-config - API to write one's own vnc server - library utility
 libvncserver-dev - API to write one's own vnc server - development files
 libvncserver0 - API to write one's own vnc server
 libvncserver0-dbg - debugging symbols for libvncserver
 linuxvnc   - VNC server to allow remote access to a tty
Closes: 664883
Changes: 
 libvncserver (0.9.9+dfsg-1) unstable; urgency=low
 .
   * New upstream release.
   * Patches refreshed for the new upstream version.
   * Multi-arch support (Closes: #664883).
   * debian/patches/format_string.patch:
     - Use format string argument with fprintf.
   * debian/patches/02_linux_test.patch:
     - Removed, applied upstream.
   * debian/patches/04_rename_linuxvnc.patch:
     - Removed, applied upstream.
   * debian/patches/05_GnuTLS.patch:
     - Removed, applied upstream.
   * debian/compat:
     - Bump compatibility level to 9.
   * debian/control:
     - Add libvncserver-config binary package, needed for Multi-arch.
     - Bump Standards-Version to 3.9.3.
   * debian/copyright:
     - Convert to DEP5 format.
   * debian/libvncserver-config.1:
     - Fix hyphen-used-as-minus-sign lintian warning.
   * debian/rules:
     - Implement a get-orig-source target to get rid of webclients
       directory, which contains Java classes without sources.
   * debian/watch:
     - Mangle "+dfsg" prefix from version number.
Checksums-Sha1: 
 1afa685869fdf79a79ede32559fa466ed0423135 2203 libvncserver_0.9.9+dfsg-1.dsc
 753f8242b08a0bd263b8c6d0842752b85c2752c9 870165 libvncserver_0.9.9+dfsg.orig.tar.gz
 6073e814506dcf9eb29ce2c484c5297d0e701521 12666 libvncserver_0.9.9+dfsg-1.debian.tar.gz
 78e84a2009d1a23ede83154e1d0faf0492546189 276008 libvncserver0_0.9.9+dfsg-1_amd64.deb
 67c07948e2d73ab75533a994df82e07b0f611ee2 332404 libvncserver-dev_0.9.9+dfsg-1_amd64.deb
 437a871b632ef7b1f8f7d2b05ebcd7a466e524e5 74698 libvncserver-config_0.9.9+dfsg-1_amd64.deb
 bc8ff04b46e6664277c8df660822b6320ed86132 486282 libvncserver0-dbg_0.9.9+dfsg-1_amd64.deb
 2961d16f3d8e0005dc894883befdca7329006c41 86132 linuxvnc_0.9.9+dfsg-1_amd64.deb
Checksums-Sha256: 
 0daf2045301d325bf8565b629fbb9bcc6a9910c1c93f133b1eb6d9f8431efc20 2203 libvncserver_0.9.9+dfsg-1.dsc
 8586a0b6caa3ddb2efada804e888713232b2ced8e86a83b96b81c2016c387412 870165 libvncserver_0.9.9+dfsg.orig.tar.gz
 5c5e57bd72670e6a1a0f47d5d2867d569b5929704926aac943ee6af2ffeeb40f 12666 libvncserver_0.9.9+dfsg-1.debian.tar.gz
 66e5aa6106cac4252b2ba679169b0bc98e6e1f453916fa5aba48709cfb66f391 276008 libvncserver0_0.9.9+dfsg-1_amd64.deb
 380afb5f8b6c15fee7accee29330e81d1068c0e138bb06481607e59152670795 332404 libvncserver-dev_0.9.9+dfsg-1_amd64.deb
 b423adc3dfd1b515be2d6c3852f1b94060f62959ab1713f0ae86510d1fafe6d2 74698 libvncserver-config_0.9.9+dfsg-1_amd64.deb
 7bf2dc48bbeeab19947fc87cfa4aa9f2634db42ccbc02319815ded2af3c7d549 486282 libvncserver0-dbg_0.9.9+dfsg-1_amd64.deb
 7de2c680352ec5b3e3e2b68ca743ef949560b5cbf322a54dbefea0c3d0f1da4f 86132 linuxvnc_0.9.9+dfsg-1_amd64.deb
Files: 
 b4584c9008a47179a931db33c4923f87 2203 libs optional libvncserver_0.9.9+dfsg-1.dsc
 2321da04142992da018a6176bcdf774e 870165 libs optional libvncserver_0.9.9+dfsg.orig.tar.gz
 3fddd9d791b4becd11682438928345a1 12666 libs optional libvncserver_0.9.9+dfsg-1.debian.tar.gz
 3ebc273874ff87b0a2287df1dd6395e2 276008 libs optional libvncserver0_0.9.9+dfsg-1_amd64.deb
 1018b825c436fd23a47dbf4039bca0d6 332404 libdevel optional libvncserver-dev_0.9.9+dfsg-1_amd64.deb
 ccc662615c60c348f42920aa527081d4 74698 libdevel optional libvncserver-config_0.9.9+dfsg-1_amd64.deb
 a4cca40e4d2cd673743fea6d475606a3 486282 debug extra libvncserver0-dbg_0.9.9+dfsg-1_amd64.deb
 cd1c73cb3032e268cf536cd1eb50b457 86132 net optional linuxvnc_0.9.9+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPpaKuAAoJEEkIatPr4vMfZJIQAKD7WFLboh2ZVlPcJuZiz/r5
9QxPd4h7fEYgL2m26jVgMwsAYTD4BrpWjHHnl4k6qwFxKrUwRbPjt7nOUN8M+swQ
3A42GPi5Ka5cMnIZFp9wnJbzAFAf0ZyizIp+OoyZYYkojsw1q5NS3wwPz7TJvFlQ
/q7mcr7WdntM4a+tzxfCKVPj5dhRVLVmhWFZExsTu/E0n1m6qEQxBUGHze5Wkzhz
VjBVKjkSuzx77kZ+AMX1alh/3qYiZYInXRwhVKcG4sU9v0JhAZdcYYuCbrUdE9gj
l5LpWnS8VycGmAEH+CH50ZXeRsQgMdK8inzWjGpE+oAowjfOXxS+VUzVWXM45qJW
AVU4+Y6ujL72mBV72e2KtpYrmolYva6SFEctffovr8Gn0IThbWfr14ZMmmAzTsT8
zqCpYRp6M2C4Y2dpih7MDYEIydUC1sS/kyBeckWqugUWtAeKEyLBpWLAcgNEXu12
B1Pv0oMvZF4mX24L9IxHR5BrfhYgdARKeGPQZltI9EB5nOowb94weSN6WJxsndoo
HHniJ9scvRrh92is0bhP4XjbQICd9IvbApEkqxn6MxfTz10K6zg2yBc0RqMsSmae
PWK0EzRFfZ2d+kBfc3rJWvjJdX++vcvBdpjhpJ1F6KftSaK8Dq/oyWEZ8EClRABn
Fh+aaHJQ3hPta9q0Ku28
=RY52
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Jun 2012 07:46:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:44:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.